Subject: [PATCH v4] of: replace Asahi Kasei Corp venter prefix

From: [email-masked] (Sergei Shtylyov)
Date: Mon, 17 Nov 2014 13:26:15 +0300

Hello.

On 11/17/2014 3:51 AM, Kuninori Morimoto wrote:

> From: Kuninori Morimoto <[email-masked]>

    s/venter/vendor/ in the subject. Sorry for a late comment.

> Current vendor-prefixes.txt already has "ak" prefix for Asahi Kasei Corp
> by ae8c4209af2c(of: Add vendor prefix for Asahi Kasei Corp.)

> It went through the appropriate review process. But, almost all
> Asahi Kasei chip drivers are using "asahi-kasei" prefix today.
> (arch/arm/boot/dts/tegra20-seaboard.dts only is using "ak,ak8975",
>   but there are instances of "asahi-kasei,ak8975" in other dts files.
>   And drivers/iio/magnetometer/ak8975.c doesn't support "ak,ak8975")
> So, we made a mistake there.

> In addition, checkpatch.pl reports WARNING if it is using "asahi-kasei"
> prerfix in DT file.
> (DT compatible string vendor "asahi-kasei" appears un-documented)

> Marking it deprecated and warning with checkpatch is certainly
> preferable. So, this patch replace "ak" to "asahi-kasei" in
> vendor-prefixes.txt. (and fixup tegra20-seaboard)

> OTOH, Asahi Kasei is usually referred to as "AKM", but this patch
> doesn't care about it. Because no DT is using that today.

> Acked-by: Thierry Reding <[email-masked]>
> Acked-by: Alexandre Courbot <[email-masked]>
> Signed-off-by: Kuninori Morimoto <[email-masked]>

    One normally places ACKs after his own sign-off.

WBR, Sergei